CMS(4)

NAME
cms - Creative Music System device driver

SYNOPSIS
cms0 at isa? port 0x220
midi* at cms?

DESCRIPTION
The cms driver provides support for the Creative Music System (C/MS). These cards were developed by Creative Labs, the same people who designed the SoundBlaster cards. Chips were available for the SoundBlaster to make them compatible with CMS.

The CMS cards are only capable of playing basic notes and noises, making them suitable for playing midi, but not much else. The output is stereo, but the cms driver doesn't support stereo control. The cards have external volume control, line-output and speaker.

The base I/O port address is usually jumper-selected to 0x220. Valid jumper settings are for 0x210, 0x220, 0x230, 0x240, 0x250 and 0x260. There are no interrupt settings.

SEE ALSO
isa(4), midi(4)

HISTORY
The cms device driver appeared in NetBSD 1.5.